Skip to main content
POST
/
tokens
cURL
curl --request POST \
  --url https://api.axiom.co/v2/tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "datasetCapabilities": {},
  "description": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "orgCapabilities": {
    "annotations": [
      "create"
    ],
    "apiTokens": [
      "create"
    ],
    "auditLog": [
      "read"
    ],
    "billing": [
      "read"
    ],
    "dashboards": [
      "create"
    ],
    "datasets": [
      "create"
    ],
    "endpoints": [
      "create"
    ],
    "flows": [
      "create"
    ],
    "integrations": [
      "create"
    ],
    "monitors": [
      "create"
    ],
    "notifiers": [
      "create"
    ],
    "rbac": [
      "create"
    ],
    "sharedAccessKeys": [
      "read"
    ],
    "users": [
      "create"
    ],
    "views": [
      "create"
    ]
  },
  "viewCapabilities": {}
}
'
{
  "datasetCapabilities": {},
  "id": "<string>",
  "name": "<string>",
  "orgCapabilities": {
    "annotations": [
      "create"
    ],
    "apiTokens": [
      "create"
    ],
    "auditLog": [
      "read"
    ],
    "billing": [
      "read"
    ],
    "dashboards": [
      "create"
    ],
    "datasets": [
      "create"
    ],
    "endpoints": [
      "create"
    ],
    "flows": [
      "create"
    ],
    "integrations": [
      "create"
    ],
    "monitors": [
      "create"
    ],
    "notifiers": [
      "create"
    ],
    "rbac": [
      "create"
    ],
    "sharedAccessKeys": [
      "read"
    ],
    "users": [
      "create"
    ],
    "views": [
      "create"
    ]
  },
  "description": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "samlAuthenticated": true,
  "viewCapabilities": {},
  "token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://axiom.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Body

application/json
name
string
required

Name of the token

datasetCapabilities
object
description
string

Description of the token

expiresAt
string<date-time> | null

Expiration date of the token (ISO 8601 format)

orgCapabilities
object
viewCapabilities
object

Response

200 - application/json

CreateApiTokenResponse

datasetCapabilities
object
required
id
string
required

ID of the token

name
string
required

Name of the token

orgCapabilities
object
required
description
string

Description of the token

expiresAt
string<date-time> | null
read-only

Expiration date of the token (ISO 8601 format)

samlAuthenticated
boolean
viewCapabilities
object
token
string